Agora Java API Reference for Android

Public Member Functions | Protected Member Functions | List of all members
io.agora.rte.CanvasConfig Class Reference

## Public Member Functions
long | getNativeHandle ()
void | setVideoRenderMode (Constants.VideoRenderMode mode) throws RteException
Constants.VideoRenderMode | getVideoRenderMode () throws RteException
void | setVideoMirrorMode (Constants.VideoMirrorMode mode) throws RteException
Constants.VideoMirrorMode | getVideoMirrorMode () throws RteException
void | setCropArea (Rect rect) throws RteException
Rect | getCropArea () throws RteException

## Protected Member Functions
void | finalize ()

## Detailed Description

The CanvasConfig class is used to configure the Canvas object.

Since
  v4.4.0

## Member Function Documentation

## ◆ setVideoRenderMode()

void io.agora.rte.CanvasConfig.setVideoRenderMode | ( | Constants.VideoRenderMode | mode | ) | throws RteException

Set the video render mode.

Since
  v4.4.0

Parameters

  mode | The render mode to set. Refer to Constants.VideoRenderMode type, default is Constants.VideoRenderMode.HIDDEN.

Exceptions

  RteException | RteException.errorCode() may return the following ErrorCode: ErrorCode.INVALID_ARGUMENT: The mode parameter is set to an illegal value.

Returns
  void

## ◆ getVideoRenderMode()

Constants.VideoRenderMode io.agora.rte.CanvasConfig.getVideoRenderMode | ( |  | ) | throws RteException

Get the render mode.

Since
  v4.4.0

Returns
  VideoRenderMode

## ◆ setVideoMirrorMode()

void io.agora.rte.CanvasConfig.setVideoMirrorMode | ( | Constants.VideoMirrorMode | mode | ) | throws RteException

Set the video mirror mode.

Since
  v4.4.0

Parameters

  mode | The mirror mode to set. Refer to Constants.VideoMirrorMode type, default is Constants.VideoMirrorMode.AUTO.

Exceptions

  RteException | RteException.errorCode() may return the following ErrorCode: ErrorCode.INVALID_ARGUMENT: The mode parameter is set to an illegal value.

Returns
  void

## ◆ getVideoMirrorMode()

Constants.VideoMirrorMode io.agora.rte.CanvasConfig.getVideoMirrorMode | ( |  | ) | throws RteException

Get the video mirror mode.

Since
  v4.4.0

Returns
  VideoMirrorMode